# 81. Consulta: Obtener GeoJSON de "EquationMap"

Obtener GeoJSON de "EquationMaps" filtrado por `equationMapUuids`.

El atributo `equationMapGeojson` contiene GeoJSON con el `Polígonos` o `MultyPolygons` incluyendo los atributos de la característica geoespacial como `id`, `value` y `área` en las unidades definidas.

Detalles clave:

* Parámetro `asMultiGeometry: true` significa que el `Polígonos` (celdas del "Equation Map") se fusionarán en `MultiPolígonos` basado en el `value` atributo de cada celda del "Equation Map".
* El área de salida puede configurarse usando el `unidad` parámetro. Opciones disponibles: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Si no se solicitan geometrías (solo se requieren atributos), entonces existe `attributesJson` en lugar de `equationMapGeojson` para usar.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/81.-consulta-obtener-geojson-de-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
